#
# spec file for package yast2-tftp-server (Version 2.13.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgssapi libicu libidn libmudflap libnscd libstdc++ libtool libusb libxcrypt libxml2 liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-tftp-server
Version:        2.13.4
Release:        0.11
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-tftp-server-2.13.4.tar.bz2
prefix:		/usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-testsuite
Requires:       yast2 >= 2.11.11
Requires:       lsof
BuildArchitectures:	noarch
Summary:        YaST2 - TFTP Server Configuration

%description
The YaST2 component for configuring a TFTP server. TFTP stands for
Trivial File Transfer Protocol. It is used for booting over the
network.



Authors:
--------
    Martin Vidner <mvidner@suse.cz>

%debug_package
%prep
%setup -n yast2-tftp-server-2.13.4

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/tftp-server
/usr/share/YaST2/include/tftp-server/*
/usr/share/YaST2/clients/tftp-server*.ycp
/usr/share/YaST2/modules/TftpServer.*
%{prefix}/share/applications/YaST2/tftp-server.desktop
/usr/share/YaST2/scrconf/etc_xinetd_d_tftp.scr
%doc %{prefix}/share/doc/packages/yast2-tftp-server

%changelog
* Mon Sep 11 2006 - mvidner@suse.cz
- Fixed Progress nesting (#202351).
- Using autodocs-ycp.ami (with parentheses for automake-1.9.6).
- Using Sequencer.ycp instead of deprecated sequencer.ycp.
- 2.13.4
* Tue Mar 07 2006 - mvidner@suse.cz
- Converted neededforbuild to BuildRequires
  and removed yast2-devel-packages.
- 2.13.3
* Tue Jan 24 2006 - mvidner@suse.cz
- Merged proofread messages.
- 2.13.2
* Mon Jan 16 2006 - mvidner@suse.cz
- Again adjusted test cases for NetworkManager related changes (~#135595).
- 2.13.1
* Thu Jan 05 2006 - mvidner@suse.cz
- Adjusted testsuite for changes in firewall code.
- 2.13.0
* Tue Nov 29 2005 - mzugec@suse.cz
- feature #100125 - command line support
* Fri Aug 12 2005 - mvidner@suse.cz
- Normalized help text (check_ycp).
- 2.12.2
* Tue Aug 09 2005 - mvidner@suse.cz
- Texts proofread.
- TFTP is not FTP (#102946).
- 2.12.1
* Tue Aug 02 2005 - locilka@suse.cz
- Adjusted for SUSE Linux 10.0
- 2.12.0
* Fri Feb 25 2005 - visnov@suse.cz
- Implemented trivial command line interface
- 2.11.3
* Mon Jan 31 2005 - mvidner@suse.cz
- Adjusted testsuite for changes in firewall (build fix).
- 2.11.2
* Mon Jan 03 2005 - mvidner@suse.cz
- Adjusted for firewall's move to yast2.rpm.
- Using Progress::set.
- 2.11.1
* Wed Nov 10 2004 - mvidner@suse.cz
- Updated to new Mode.
- Using Message.
- 2.11.0
* Wed Sep 15 2004 - mvidner@suse.cz
- Use Package instead of Require.
- 2.10.6
* Tue Sep 14 2004 - jsrain@suse.cz
- adapted testsuite to changes in yast2-firewall
- 2.10.5
* Mon Sep 06 2004 - mvidner@suse.cz
- Adjusted testsuite to changes in yast2-firewall (#44650).
- 2.10.4
* Fri Sep 03 2004 - mvidner@suse.cz
- Added GetModified, SetModified for autoyast (#43904).
- 2.10.3
* Fri Aug 27 2004 - mvidner@suse.cz
- Use LogView to display the log as it grows.
- 2.10.2
* Mon Aug 23 2004 - mvidner@suse.cz
- Added Open Firewall button.
- 2.10.1
* Thu Jun 17 2004 - mvidner@suse.cz
- Added "testedfiles" to test cases to make it work with the new testsuite.
- Using Service instead of Runlevel.
- 2.10.0
* Fri Apr 02 2004 - mvidner@suse.cz
- changed license to GPL
- 2.9.4
* Wed Mar 31 2004 - mvidner@suse.cz
- fixed make check-syntax
- 2.9.3
* Sun Mar 07 2004 - kkaempf@suse.de
- adapt testsuite
* Tue Feb 10 2004 - msvec@suse.cz
- dropped y2cc config files
- 2.9.1
* Mon Feb 02 2004 - msvec@suse.cz
- NI adaption
- 2.9.0
* Mon Sep 15 2003 - jsrain@suse.de
- let yast modules in kcontrol work again (adrian@suse.de)
- 2.8.5
* Thu Sep 04 2003 - nashif@suse.de
- Fixed #30098: Fixed to work with autoyast
- Use Require module
- 2.8.4
* Fri Aug 29 2003 - jsrain@suse.de
- added .desktop file
- 2.8.3
* Tue Aug 26 2003 - jsrain@suse.de
- updated _auto client
- updated ydoc comments
- 2.8.2
* Mon Aug 18 2003 - jsrain@suse.de
- merged texts from proofread
- 2.8.1
* Fri Aug 15 2003 - jsrain@suse.de
- 2.8.0
* Thu Jun 12 2003 - mvidner@suse.cz
- initial version for abuild
- added log view popup
- 2.6.1
